Ad-hoc monitor test
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"assertions": [
{
"config": {
"type": "body_contains",
"substring": "<string>"
}
}
]
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/test"
payload = {
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": ["<string>"],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"assertions": [{ "config": {
"type": "body_contains",
"substring": "<string>"
} }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
hostname: '<string>',
recordTypes: [],
nameservers: ['<string>'],
timeoutMs: 123,
totalTimeoutMs: 123
},
assertions: [{config: {type: 'body_contains', substring: '<string>'}}]
})
};
fetch('https://api.devhelm.io/api/v1/monitors/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"passed": true,
"assertionResults": [
{
"passed": true,
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"error": "<string>",
"statusCode": 123,
"responseTimeMs": 123,
"responseHeaders": {},
"bodyPreview": "<string>",
"responseSizeBytes": 123,
"redirectCount": 123,
"finalUrl": "<string>",
"warnings": [
"<string>"
]
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Monitors
Ad-hoc monitor test
Executes a one-off check from an inline config without saving the monitor. Runs synchronously and returns status code, response time, assertion results, body preview, and headers.
POST
/
api
/
v1
/
monitors
/
test
Ad-hoc monitor test
Authorizations
API key (dh_live_...) or Auth0 JWT token
Body
application/json
Monitor protocol type to test
Available options:
HTTP, DNS, MCP_SERVER, TCP, ICMP, HEARTBEAT, BROWSER, MULTI_STEP_API - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
Optional assertions to evaluate against the test result
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
⌘I